org.w3c.dom.validation

## Interface DocumentEditVAL

All Superinterfaces:
  NodeEditVAL

All Known Implementing Classes:
  XMLDocument

    public interface DocumentEditVAL
    extends NodeEditVAL

This interface extends the `NodeEditVAL` interface with additional methods for document editing. An object implementing this interface must also implement the `Document` interface.

See also the Document Object Model (DOM) Level 3 Validation Specification.

### Field Summary

### Fields inherited from interface org.w3c.dom.validation.NodeEditVAL

`VAL_FALSE, VAL_INCOMPLETE, VAL_NS_WF, VAL_SCHEMA, VAL_TRUE, VAL_UNKNOWN, VAL_WF`

### Method Summary

All Methods Instance Methods Abstract Methods
`short` `getContinuousValidityChecking()` An attribute specifying whether the validity of the document is continuously enforced.
`NameList` `getDefinedElements(java.lang.String namespaceURI)` Returns list of all element information item names of global declaration, belonging to the specified namespace.
`void` `setContinuousValidityChecking(short continuousValidityChecking)` An attribute specifying whether the validity of the document is continuously enforced.
`short` `validateDocument()` Validates the document against the schema, e.g., a DTD or an XML Schema or another.

### Methods inherited from interface org.w3c.dom.validation.NodeEditVAL

`canAppendChild, canInsertBefore, canRemoveChild, canReplaceChild, getDefaultValue, getEnumeratedValues, nodeValidity`

### Method Detail

#### getContinuousValidityChecking

    short getContinuousValidityChecking()

An attribute specifying whether the validity of the document is continuously enforced. When the attribute is set to `true` , the implementation may raise certain exceptions, depending on the situation (see the following). This attribute is `false` by default.

#### setContinuousValidityChecking

    void setContinuousValidityChecking(short continuousValidityChecking)
                                throws DOMException,
                                       ExceptionVAL,
                                       DOMException

An attribute specifying whether the validity of the document is continuously enforced. When the attribute is set to `true` , the implementation may raise certain exceptions, depending on the situation (see the following). This attribute is `false` by default.

Throws:
  `DOMException` - NOT_SUPPORTED_ERR: Raised if the implementation does not support setting this attribute to `true`.
  `ExceptionVAL` - NO_SCHEMA_AVAILABLE_ERR: Raised if this attribute is set to `true` and a schema is unavailable.
  `DOMException` - VALIDATION_ERR: Raised if an operation makes this document not compliant with the `VAL_INCOMPLETE` validity type or the document is invalid, and this attribute is set to `true` .

#### getDefinedElements

    NameList getDefinedElements(java.lang.String namespaceURI)

Returns list of all element information item names of global declaration, belonging to the specified namespace.

Parameters:
  `namespaceURI` - `namespaceURI` of namespace. For DTDs, this is `null`.
Returns:
  List of all element information item names belonging to the specified namespace or `null` if no schema is available.

#### validateDocument

    short validateDocument()

Validates the document against the schema, e.g., a DTD or an XML Schema or another. This method's behavior is implementation- dependent; and the any attempt to modify any part of the document while validating results in implementation-dependent behavior. In addition, the validation operation itself cannot modify the document, e.g., for default attributes. This method makes use of the passed-in error handler, as described in the [DOM Level 3 Core] `DOMConfiguration` interface, with all errors being `SEVERITY_ERROR` as defined in the `DOMError` interface.

Returns:
  A validation state constant.

Copyright ©2004 W3C® (MIT, ERCIM, Keio), All Rights Reserved. W3C liability, trademark, document use and software licensing rules apply. The latest version is at http://www.w3.org/TR/DOM-Level-3-Val